/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var images = ko.observableArray([]),
        selectedImages = ko.observableArray([]),
        selectAllImages = ko.observable(false),
        failedImages = ko.observableArray([]),
        failedImagesWithoutThumbnail = ko.observableArray([]),
        successImages = ko.observableArray([]),
        proceedable = ko.observable(false);

    return {
        images: images,
        selectedImages: selectedImages,
        selectAllImages: selectAllImages,
        failedImages: failedImages,
        failedImagesWithoutThumbnail: failedImagesWithoutThumbnail,
        successImages: successImages,
        proceedable: proceedable
    };
});
