/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var targetKeywords = ko.observableArray([]),
        selectedSemanticKeywords = ko.observableArray([]),
        highlighted = ko.observable(true),
        language = ko.observable(),
        suggestedKeywords = ko.observableArray([])

    return {
        targetKeywords: targetKeywords,
        selectedSemanticKeywords: selectedSemanticKeywords,
        highlighted: highlighted,
        language: language,
        suggestedKeywords: suggestedKeywords
    };
});
