/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko'], function (ko) {
    'use strict';

    var selectedFields = ko.observableArray([]),
        referenceProductChecked = ko.observable(false),
        selectedReferenceProduct = ko.observable({}),
        descMin = ko.observable(0),
        descMax = ko.observable(0),
        excMin = ko.observable(0),
        excMax = ko.observable(0),
        selectionsCount = ko.observable(0),
        selectionImagesCount = ko.observableArray([]),
        isPremium = ko.observable(true);

    return {
        selectedFields: selectedFields,
        referenceProductChecked: referenceProductChecked,
        selectedReferenceProduct: selectedReferenceProduct,
        descMin: descMin,
        descMax: descMax,
        excMin: excMin,
        excMax: excMax,
        selectionsCount: selectionsCount,
        selectionImagesCount: selectionImagesCount,
        isPremium: isPremium
    };
});
