/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var failedImages = ko.observableArray([]),
        failedImageIds = ko.observableArray([]),
        successImages = ko.observableArray([]),
        failedThumbnails = ko.observableArray([]),
        failedProducts = ko.observableArray([]),
        successThumbnails = ko.observableArray([]);

    return {
        failedImages: failedImages,
        successImages: successImages,
        failedImageIds: failedImageIds,
        failedThumbnails: failedThumbnails,
        failedProducts: failedProducts,
        successThumbnails: successThumbnails
    };
});
