<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface ProductKeywordIdeasFiltersInterface
{
    public const SEARCH_VOLUME_MAXIMUM = 'search_volume_maximum';

    public const COMPETITION = 'competition';

    public const STORE_ID = 'store_id';

    public const VOLUME_SORT = 'volume_sort';

    public const PRODUCTKEYWORDIDEASFILTERS_ID = 'id';

    public const LOCATION = 'location';

    public const PRODUCT_ID = 'product_id';

    public const COMPETITION_SORT = 'competition_sort';
    
    public const SEARCH_VOLUME_MINIMUM = 'search_volume_minimum';

    /**
     * Get productkeywordideasfilters_id
     *
     * @return string|null
     */
    public function getProductkeywordideasfiltersId();

    /**
     * Set productkeywordideasfilters_id
     *
     * @param string $productkeywordideasfiltersId
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setProductkeywordideasfiltersId($productkeywordideasfiltersId);

    /**
     * Get product_id
     *
     * @return string|null
     */
    public function getProductId();

    /**
     * Set product_id
     *
     * @param string $productId
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setProductId($productId);

    /**
     * Get store_id
     *
     * @return string|null
     */
    public function getStoreId();

    /**
     * Set store_id
     *
     * @param string $storeId
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setStoreId($storeId);

    /**
     * Get location
     *
     * @return string|null
     */
    public function getLocation();

    /**
     * Set location
     *
     * @param string $location
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setLocation($location);

    /**
     * Get competition
     *
     * @return string|null
     */
    public function getCompetition();

    /**
     * Set competition
     *
     * @param string $competition
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setCompetition($competition);

    /**
     * Get search_volume_minimum
     *
     * @return string|null
     */
    public function getSearchVolumeMinimum();

    /**
     * Set search_volume_minimum
     *
     * @param string $searchVolumeMinimum
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setSearchVolumeMinimum($searchVolumeMinimum);

    /**
     * Get search_volume_maximum
     *
     * @return string|null
     */
    public function getSearchVolumeMaximum();

    /**
     * Set search_volume_maximum
     *
     * @param string $searchVolumeMaximum
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setSearchVolumeMaximum($searchVolumeMaximum);

    /**
     * Get competition_sort
     *
     * @return string|null
     */
    public function getCompetitionSort();

    /**
     * Set competition_sort
     *
     * @param string $competitionSort
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setCompetitionSort($competitionSort);

    /**
     * Get volume_sort
     *
     * @return string|null
     */
    public function getVolumeSort();

    /**
     * Set volume_sort
     *
     * @param string $volumeSort
     * @return \WriteTextAI\WriteTextAI\ProductKeywordIdeasFilters\Api\Data\ProductKeywordIdeasFiltersInterface
     */
    public function setVolumeSort($volumeSort);
}
