<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface UserProductsSearchResultsInterface extends \Magento\Framework\Api\SearchResultsInterface
{
    /**
     * Get User_products list.
     *
     * @return \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface[]
     */
    public function getItems();

    /**
     * Set user_id list.
     *
     * @param \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface[] $items
     * @return $this
     */
    public function setItems(array $items);
}
