<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://www.1902software.com)
 * @package WriteTextAI_WriteTextAI
 */

namespace WriteTextAI\WriteTextAI\Model\Config\Source\ProductAttributes;

class Excluded
{
    public const GENERATE_SETTINGS_EXCLUDE_ATTRIBUTES = [
        'media_gallery',
        'gallery',
        'custom_design',
        'page_layout',
        'options_container',
        'custom_layout',
        'custom_layout_update_file',
        'tax_class_id',
        'status',
        'url_key',
        'category_ids',
        'small_image',
        'image',
        'visibility',
        'msrp_display_actual_price_type',
        'price_type',
        'sku_type',
        'price_view',
        'shipment_type',
        'gift_message_available',
        'swatch_image',
        'custom_design_from',
        'custom_design_to',
        'weight_type',
        'name'
    ];

    public const DATA_MAPPING_EXCLUDE_ATTRIBUTES = [
        'name',
        'sku',
        'tier_price',
        'category_ids',
        'url_key',
        'custom_layout_update',
        'ts_dimensions_width',
        'ts_dimensions_height',
        'ts_dimensions_length'
    ];

    public const ARRAY_ATTRIBUTES = [
        'tier_price',
        'quantity_and_stock_status'
    ];
}
