/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'underscore',
    'Magento_Ui/js/grid/columns/multiselect',
    'WriteTextAI_WriteTextAI/js/model/edit'
], function (_, Multiselect, editData) {
    'use strict';

    return Multiselect.extend({
        /** @inheritdoc */
        initialize: function () {
            this._super();

            editData.opened.subscribe(function () {
                this.deselectAll();
            }, this);
        }
    });
});
