/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var productId = ko.observable(),
        storeId = ko.observable(),
        storeScope = ko.observable(),
        language = ko.observable(),
        stores = ko.observableArray([]),
        directiveRegex = ko.observableArray([]),
        descriptionDirectiveExists = ko.observable(),
        shortDescriptionDirectiveExists = ko.observable(),
        refresh = ko.observable();

    return {
        productId: productId,
        storeId: storeId,
        storeScope: storeScope,
        language: language,
        stores: stores,
        directiveRegex: directiveRegex,
        descriptionDirectiveExists: descriptionDirectiveExists,
        shortDescriptionDirectiveExists: shortDescriptionDirectiveExists,
        refresh: refresh
    };
});
